Purchase order endpoints
PurchaseOrderForCreation
This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fTime and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.
2026-06-17T12:00:00.000ZCreated Purchase Order entity
PurchaseOrder
This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.
2026-06-17T12:00:00.000ZYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/purchaseorders HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 343
{
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"orderDate": "2026-06-17T12:00:00.000Z",
"requestedDate": "2026-06-17T12:00:00.000Z",
"requestedItems": [
{
"customAttributes": {},
"quantity": {
"unit": "text",
"value": 42
},
"stockProperties": {
"expiry": "text"
},
"tenantArticleId": "text"
}
],
"status": "OPEN",
"supplier": {
"name": "text"
}
}{
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facilityRef": "text",
"id": "text",
"inboundProcessRef": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"orderDate": "2026-06-17T12:00:00.000Z",
"requestedDate": "2026-06-17T12:00:00.000Z",
"requestedItems": [
{
"customAttributes": {},
"quantity": {
"unit": "text",
"value": 42
},
"stockProperties": {
"expiry": "text"
},
"tenantArticleId": "text"
}
],
"status": "OPEN",
"supplier": {
"name": "text"
},
"transfer": {
"id": "text"
},
"version": 1
}Purchase Order entity
PurchaseOrder
This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.
2026-06-17T12:00:00.000ZYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facilityRef": "text",
"id": "text",
"inboundProcessRef": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"orderDate": "2026-06-17T12:00:00.000Z",
"requestedDate": "2026-06-17T12:00:00.000Z",
"requestedItems": [
{
"customAttributes": {},
"quantity": {
"unit": "text",
"value": 42
},
"stockProperties": {
"expiry": "text"
},
"tenantArticleId": "text"
}
],
"status": "OPEN",
"supplier": {
"name": "text"
},
"transfer": {
"id": "text"
},
"version": 1
}Partially updates a Purchase Order using a selection of fields
PurchaseOrderForPartialUpdate
This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
2026-06-17T12:00:00.000ZUpdated Purchase Order entity
PurchaseOrder
This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.
2026-06-17T12:00:00.000ZYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PATCH /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 302
{
"customAttributes": {},
"orderDate": "2026-06-17T12:00:00.000Z",
"requestedDate": "2026-06-17T12:00:00.000Z",
"requestedItems": [
{
"customAttributes": {},
"quantity": {
"unit": "text",
"value": 42
},
"stockProperties": {
"expiry": "text"
},
"tenantArticleId": "text"
}
],
"status": "OPEN",
"supplier": {
"name": "text"
},
"version": 1
}{
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facilityRef": "text",
"id": "text",
"inboundProcessRef": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"orderDate": "2026-06-17T12:00:00.000Z",
"requestedDate": "2026-06-17T12:00:00.000Z",
"requestedItems": [
{
"customAttributes": {},
"quantity": {
"unit": "text",
"value": 42
},
"stockProperties": {
"expiry": "text"
},
"tenantArticleId": "text"
}
],
"status": "OPEN",
"supplier": {
"name": "text"
},
"transfer": {
"id": "text"
},
"version": 1
}PurchaseOrderForUpdate
This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.
2026-06-17T12:00:00.000ZUpdated/created Purchase Order entity
PurchaseOrder
This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.
2026-06-17T12:00:00.000ZYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 302
{
"customAttributes": {},
"orderDate": "2026-06-17T12:00:00.000Z",
"requestedDate": "2026-06-17T12:00:00.000Z",
"requestedItems": [
{
"customAttributes": {},
"quantity": {
"unit": "text",
"value": 42
},
"stockProperties": {
"expiry": "text"
},
"tenantArticleId": "text"
}
],
"status": "OPEN",
"supplier": {
"name": "text"
},
"version": 1
}{
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facilityRef": "text",
"id": "text",
"inboundProcessRef": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"orderDate": "2026-06-17T12:00:00.000Z",
"requestedDate": "2026-06-17T12:00:00.000Z",
"requestedItems": [
{
"customAttributes": {},
"quantity": {
"unit": "text",
"value": 42
},
"stockProperties": {
"expiry": "text"
},
"tenantArticleId": "text"
}
],
"status": "OPEN",
"supplier": {
"name": "text"
},
"transfer": {
"id": "text"
},
"version": 1
}Last updated
Was this helpful?

